.experienced-coaches-section {
    position: relative;
    width: 100%;
    height: 90vh;
    min-height: 80vh;
    margin-top: 100px;
}

.experienced-coaches-bg-image {
    position: absolute;
    top: 80px;
    width: calc(100% - 200px);
    height: calc(100% - 103px);
    object-fit: cover;
    object-position: 50% 20%;
    opacity: 0.8;
}

.experienced-coaches-line {
    position: relative;
    top: 80px;
    margin-right: 20%;
    background: linear-gradient(-90deg, #e6421d, rgba(0, 0, 0, 0));
    height: 2px;
    z-index: 1;
}

.experienced-coaches-overlay {
    position: absolute;
    top: 80px;
    left: 0%;
    width: 80%;
    height: 72%;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8), rgba(115, 115, 115, 0));
}

.experienced-coaches-blur-bg {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 25%;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0), #000);
    pointer-events: none;
}

.experienced-coaches-iphone {
    position: absolute;
    top: 0;
    right: 5%;
    width: 30vw;
    min-width: 220px;
    height: 100%;
    object-fit: contain;
    z-index: 1;
    object-position: top center;

}

.experienced-coaches-text-group {
    position: absolute;
    bottom: 10%;
    right: 37%;
    width: 100%;
    z-index: 2;
    display: flex;
    flex-direction: column;
}

.experienced-coaches-text-group .text-subtitle,
.experienced-coaches-text-group .text-title {
    text-align: right;
}

@media (max-width: 768px) {
    .experienced-coaches-section {
        margin-top: 40px;
        height: auto;
        min-height: auto;
    }

    .experienced-coaches-line {
        display: none;
    }

    .experienced-coaches-bg-image {
        top: 30px;
        width: 100%;
        height: 100%;
        opacity: 0.2;
    }

    .experienced-coaches-iphone {
        position: relative;
        width: 60%;
        max-width: 280px;
        right: 0px;
        height: 400px;
        margin: 0 auto 20px;
        display: block;
        z-index: 1;
    }

    .experienced-coaches-overlay {
        display: none;
    }

    .experienced-coaches-blur-bg {
        display: none;
    }

    .experienced-coaches-text-group {
        position: relative;
        bottom: auto;
        right: auto;
        width: 100%;
        padding: 16px 16px 20px;
        text-align: center;
    }

    .experienced-coaches-text-group .text-subtitle,
    .experienced-coaches-text-group .text-title {
        text-align: center;
    }
}